<?
@session_start();
require_once('../connect/connect.php');
include_once('../lib/lib.php');
require('pdk.php');

$Action = $_SERVER['PHP_SELF'];
if(isset($_REQUEST['id_catalog'])) $id_catalog=intval($_REQUEST['id_catalog']); else $id_catalog=0;

if(!$id_catalog) exit("Не определен каталог");

$prov=mysql_query("SELECT id_catalog FROM catalog WHERE parent_id='".$id_catalog."'");
if($prov)
	{
	$prov_n=mysql_num_rows($prov);
	}

//if($prov_n) echo 'Есть подкаталоги. Добавлять параметры нельзя';

if($_POST['import_id'])
	{
	$catalog_iz=intval($_POST['import_id']);
	$catalog_v=intval($_REQUEST['id_catalog']);
	if($catalog_iz && $catalog_v)
		{
		include('catalog_import.php');
		include_once('_svod_catalog.php');
		$ok='<p><font color=green>Импорт настроек успешно проведен</font></p>';
		}
	}

if ($_GET['id_field'] && $_GET['per'])
	{
	if ($_GET['per']==1) $per=1; else $per=-1;
	sort_num('field', 'id_field', 'field_num', 'id_field', $_GET['id_field'], $per, " WHERE id_catalog=".$id_catalog);
	include_once('_svod_catalog.php');
	}

if ((isset($_POST["MM_insert"])) && ($_POST["MM_insert"] == "form")) 
	{
	$err="";

	$catalog = trim($_POST['catalog']);
	
	$h1 = trim($_POST['h1']);
	$title = trim($_POST['title']);
	$description = trim($_POST['description']);
	$keywords = trim($_POST['keywords']);
	
	$stolb = intval($_POST['stolb']);
	if($_POST['rayon_obyaz']) $rayon_obyaz=1; else $rayon_obyaz=0;
	if($_POST['map']) $map=1; else $map=0;
	if($_POST['tab']) $tab=1; else $tab=0;
	if($catalog=="") $err .= "Не указано название<br>";

	if(!$err)
		{
		if($rru['url_fixed'])
		$q = "UPDATE catalog SET 
		catalog='".$catalog."', 
		rayon_obyaz='".$rayon_obyaz."',
		map='".$map."',
		tab='".$tab."',
		stolb='".$stolb."',
		h1='".$h1."',
		title='".$title."',
		description='".$description."',
		keywords='".$keywords."'
		WHERE id_catalog='".$id_catalog."'";
		else
		$q = "UPDATE catalog SET 
		catalog='"._pre($catalog)."', 
		url='".cpu($catalog, $rru['url_type'])."', 
		rayon_obyaz='".$rayon_obyaz."',
		map='".$map."',
		tab='".$tab."',
		stolb='".$stolb."',
		h1='".$h1."',
		title='".$title."',
		description='".$description."',
		keywords='".$keywords."'
		WHERE id_catalog='".$id_catalog."'";
		
		mysql_query($q);
		include_once('_svod_catalog.php');
		f_cashe_menu();
	
		echo "<HTML><HEAD><meta http-equiv='Refresh' charset='utf-8' content='0; URL=refresh.php?i=cat.php?parent_id=".$_POST['parent_id']."'></HEAD></HTML>";
		exit();
		}
	}



$r=mysql_query("SELECT * FROM catalog WHERE id_catalog='".$id_catalog."'");
$rr=mysql_fetch_array($r);

$catalog=$rr['catalog'];
$parent_id=$rr['parent_id'];
$rayon_obyaz=$rr['rayon_obyaz'];
$map=$rr['map'];
$tab=$rr['tab'];
$stolb=$rr['stolb'];
$h1=$rr['h1'];
$title=$rr['title'];
$description=$rr['description'];
$keywords=$rr['keywords'];

$typ=$rr['typ'];
if($typ) {$dob2="Каталог";} else {$dob2="Папка";}

$titl = $dob2.": ".$catalog;
require ('top.php'); 

if($err) echo '<p><font color=red>'.$err.'</font></p>'; ?>
<? 
if ($prov_n) 
	{ 
	?>
		<form enctype="multipart/form-data" name="form" method="POST" action="<? echo $Action; ?>">
		Название<br>
		<input name="catalog" value="<? echo $catalog; ?>" size="40">
		<br>
		
		H1<br>
		<input name="h1" value="<? echo $h1; ?>" size="40">
		<br>

		title<br>
		<input name="title" value="<? echo $title; ?>" size="40">
		<br>

		description<br>
		<input name="description" value="<? echo $description; ?>" size="40">
		<br>

		keywords<br>
		<input name="keywords" value="<? echo $keywords; ?>" size="40">
		<br>
		
		<?
		if(!$parent_id)
			{
			?>
			Логотип каталога <br><font color="red">Примечание: логотип загружается и выводится в РЕАЛЬНОМ РАЗМЕРЕ. Ресайза при загрузке не происходит</font><br>
			<input onChange="return ajaxUpload();" id="foto" type="file" name="foto" class="input"> <img id="loading" src="../icon/ajax-loader2.gif" style="display:none;">			
			<br><span id="len">
			<? 
			include_once('upload_result_logo.php');
			?>
			</span><br><br>
			<?
			}
			?>
		<input type="submit" class="submit" name="Submit" value="Изменить">
		<input type="hidden" name="id_catalog" value="<? echo $id_catalog; ?>">
		<input type="hidden" name="parent_id" value="<? echo $parent_id; ?>">
		<input type="hidden" name="MM_insert" value="form">
		<input type="hidden" name="papka" value="1">
		</form>

<? } else { 

if(file_exists('../plugin/board/field_typ.php')) 
include_once('../plugin/board/field_typ.php');
else exit();

?> 
 
<div class="section">
	<ul class="tabs" align=left>
		<li class="">Общие настройки</li>
		<li>Поля</li>
		<li>Импорт настроек</li>
	</ul>
	
	<div style="display: none;" class="box visible">
	<form enctype="multipart/form-data" name="form" method="POST" action="<? echo $Action; ?>">
		Название <br>
		<input name="catalog" type="text" value="<? echo $catalog; ?>" size="40">
		<br>

		H1<br>
		<input name="h1" value="<? echo $h1; ?>" size="40">
		<br>
		
		title<br>
		<input name="title" value="<? echo $title; ?>" size="40">
		<br>

		description<br>
		<input name="description" value="<? echo $description; ?>" size="40">
		<br>

		keywords<br>
		<input name="keywords" value="<? echo $keywords; ?>" size="40">
		
		<br>
		<input name="rayon_obyaz" type="checkbox"  <? if($rayon_obyaz) echo 'checked'; ?> >
		Районы города обязательны для заполнения
		<br>
		<input name="map" type="checkbox"  <? if($map) echo 'checked'; ?> >
		Карта Гугл или Яндекс
		<br>
		<input name="tab" type="checkbox"  <? if($tab) echo 'checked'; ?> >
		Табличный вывод
		<br>
		Количество столбиков в подменю 
		<select name="stolb">
		<?
		for ($i=3; $i<7; $i++)
			{
			?>
			<option value="<?=$i?>" <? if(($stolb && $i==$stolb) || (!$stolb && $i==5)) echo 'selected'; ?> ><?=$i?></option>
			<?
			}
		?>
		</select>
		<br>
		<input type="submit" class="submit" name="Submit" value="Изменить">
		<input type="hidden" name="id_catalog" value="<? echo $id_catalog; ?>">
		<input type="hidden" name="parent_id" value="<? echo $parent_id; ?>">
		<input type="hidden" name="MM_insert" value="form">
	</form>
	
	</div>
	
	

	<div style="display: none;" class="box">
	
	<p><b>Добавить поле:</b></p>
	<?
	if($arr_typ_field)
		{
		foreach ($arr_typ_field as $index=>$arr_fi)
			{
			echo "<a href='field.php?add=1&id_catalog=".$id_catalog."&field_typ=".$index."'><font color='".$arr_fi[1]."'>".$arr_fi[0]."</font></a>&nbsp;&nbsp;&nbsp;&nbsp;";
			}
		}
	
	$r1=mysql_query("SELECT * FROM field WHERE id_catalog='".$id_catalog."' ORDER BY field_num");
	$nr1=mysql_num_rows($r1);
	if(!$nr1)
	echo "<p><b>Нет ни одного поля</b></p>";
	else
	{
	echo "<p><b>Список полей:</b></p>";
	echo '<form id="form_param">';
	echo '<input type="hidden" name="id_catalog" value="'.$id_catalog.'">';
	echo '<TABLE width="100%" style="BORDER-COLLAPSE: collapse" cellpadding="1" cellspacing="1" border="1" bordercolor="#E2E2E2">';
		$i=0;
		while($rr1=mysql_fetch_array($r1))
		{
		$i++;
		if(($i%2)) $tr_color=''; else $tr_color='bgcolor="#DDDDDD"'; 
		echo '<tr '.$tr_color.'>';
		echo '<td  width="30">';
		
		if(in_array($rr1['field_typ'], array(5,7)))
			{
			echo '<input type="checkbox" onclick="field_param_func('.$rr1['id_field'].')" name="f_['.$rr1['id_field'].']" ';
			if($rr1['field_param_search']) echo 'checked';
			echo ' value="1">';
			}
		
		echo '<td  width="30">';
		echo '<a href = "field.php?id_field='.$rr1['id_field'].'&edit=1"><img hspace="2" src="../icon/edit.png" alt="Изменить название" border="0" ></a>';
		
		echo '<td  width="30">';
 		echo '<a href = "field.php?id_field='.$rr1['id_field'].'&pdt=1"><img hspace="2"  src="../icon/del.png" alt="Удалить" border="0" ></a>'; 
		
		echo '<td  width="30">';
		if($i>1)
		echo ' <a title="Переместить на одну позицию вверх" href = "?id_field='.$rr1['id_field'].'&id_catalog='.$rr1['id_catalog'].'&per=1"><img border=0 src="../icon/up.gif"></a>';
		
		echo '<td  width="30">';
		if($i<$nr1)
		echo ' <a title="Переместить на одну позицию вниз" href = "?id_field='.$rr1['id_field'].'&id_catalog='.$rr1['id_catalog'].'&per=2"><img border=0 src="../icon/down.gif"></a>';

		echo '<td  width="30%">';
		echo $rr1['field_admin'];
		if($rr1['field_zag'])
		echo ' <font color=green><b>*</b></font>';
		
		echo '<td >';
		echo '<font color="'.$arr_typ_field[$rr1['field_typ']][1].'">'.$arr_typ_field[$rr1['field_typ']][0].'</font>';
		}
	echo "</TABLE>";
	echo '</form>';
	echo '<p>* Примечание: галочкой отмечается список, элементы которого формируют подменю каталога, например, марки и модели авто в каталоге АВТОМОБИЛИ</p>';
	}
	?>

	<script type="text/javascript">
	function field_param_func(id)
		{
		var elements = document.getElementById('form_param').elements;
  		for (var i = 0; i < elements.length; i ++) 
  			{
  			if (elements[i].name != 'f_['+id+']') 
  			elements[i].checked = 0;
			}
			
			
      		var str = $("#form_param").serialize();
			$.ajax({
					type: "POST",
					url: "param_search.php",
					data: str,
					success: function(html) {
						$("#result").empty();
						$("#result").append(html);
                	}
        		});
			
  		for (var i = 0; i < elements.length; i ++) 
  			{
			elements[i].disabled = 1;
			}
			
			
		}
	
	</script>
	<span id="result"></span>
	</div>
	<div style="display: none;" class="box">
	<?
	if($ok) echo $ok;
	$r=mysql_query("SELECT * FROM catalog WHERE id_catalog != '".$id_catalog."' AND count_field > 0 ORDER BY catalog")
	
	?>
	Список доступных для импорта настроек каталогов
	<form action="" method="post">
	<select name="import_id">
	<option value=""></option>
	<?
	while($rr=mysql_fetch_array($r))
		{
		?>
		<option value="<?=$rr['id_catalog']?>"><?=$rr['catalog']?></option>
		<?
		}
	?>
	</select>
	<input type="hidden" name="id_catalog" value="<? echo $id_catalog; ?>">
	<input type="submit" class="submit" value="Импорт">
	</form>
	
	</div>
	
	</div><!-- .section -->
<?
} 
require('bottom.php');
?>
<script type="text/javascript">

	function alles()
		{
		$.ajax({
			type: "GET",
			url: "upload_result_logo.php?id_catalog=<?=$id_catalog?>&tim="+Math.floor(new Date().getTime() / 1000),
			success: function(html) {
				$("#len").empty();
				$("#len").append(html);
                }
        	});
		}
	
	
	function dels()
		{
		$.ajax({
			type: "GET",
			url: "upload_result_logo.php?id_catalog=<?=$id_catalog?>&del=1&tim="+Math.floor(new Date().getTime() / 1000),
			success: function(html) {
				$("#len").empty();
				$("#len").append(html);
                }
        	});
		}
	
	
	
	function ajaxUpload()
	{
		$("#loading")
		.ajaxStart(function(){
			$(this).show();
		})
		.ajaxComplete(function(){
			$(this).hide();
		});
	
	
	
		$.ajaxFileUpload
		(
			{
				url:"upload_file_logo.php?id_catalog=<?=$id_catalog?>",
				secureuri:false,
				fileElementId:'foto',
				dataType: 'json',
				success: function (data, status)
				{
					if(typeof(data.error) != 'undefined')
					{
						if(data.error != '')
						{
						alert(data.error);
						}
						else
						{
						alles();
						}
					}
				},
				error: function (data, status, e)
				{
					alert(e);
				}
			}
		)
		
		return false;

	}
</script>